[arch-commits] Commit in krb5/trunk (PKGBUILD krb5-kpropd)

Stéphane Gaudreault stephane at archlinux.org
Fri Nov 4 19:19:54 EDT 2011


    Date: Friday, November 4, 2011 @ 19:19:53
  Author: stephane
Revision: 142051

upgpkg: krb5 1.9.2-1

upstream update; add kpropd rc script; signed rebuild

Added:
  krb5/trunk/krb5-kpropd
Modified:
  krb5/trunk/PKGBUILD

-------------+
 PKGBUILD    |   26 +++++++++-----------------
 krb5-kpropd |   40 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+), 17 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2011-11-04 22:53:48 UTC (rev 142050)
+++ PKGBUILD	2011-11-04 23:19:53 UTC (rev 142051)
@@ -2,8 +2,8 @@
 # Maintainer: Stéphane Gaudreault <stephane at archlinux.org>
 
 pkgname=krb5
-pkgver=1.9.1
-pkgrel=5
+pkgver=1.9.2
+pkgrel=1
 pkgdesc="The Kerberos network authentication system"
 arch=('i686' 'x86_64')
 url="http://web.mit.edu/kerberos/"
@@ -17,15 +17,13 @@
 source=(http://web.mit.edu/kerberos/dist/${pkgname}/1.9/${pkgname}-${pkgver}-signed.tar
         krb5-kadmind
         krb5-kdc
-        krb5-1.9.1-config-script.patch
-        krb5-1.9.1-canonicalize-fallback.patch
-        krb5-1.9.1-2011-006.patch)
-sha1sums=('e23a1795a237521493da9cf3443ac8b98a90c066'
+        krb5-kpropd
+        krb5-1.9.1-config-script.patch)
+sha1sums=('aa06f778ee1f9791cd4c5cf4c9e9465769ffec92'
           '2aa229369079ed1bbb201a1ef72c47bf143f4dbe'
           '77d2312ecd8bf12a6e72cc8fd871a8ac93b23393'
-          '7342410760cf44bfa01bb99bb4c49e12496cb46f'
-          '238c268fa6cb42fc7324ab54db9abda5cd77f833'
-          '0b0016b0e341dcf720f67925b0d451b328e02583')
+          '7f402078fa65bb9ff1beb6cbbbb017450df78560'
+          '7342410760cf44bfa01bb99bb4c49e12496cb46f')
 options=('!emptydirs')
 
 build() {
@@ -43,16 +41,9 @@
    #   http://anonsvn.mit.edu/viewvc/krb5/trunk/src/krb5-config.in?r1=23662&r2=25236
    patch -Np2 -i ${srcdir}/krb5-1.9.1-config-script.patch
 
-   # FS#25515
-   patch -Np2 -i ${srcdir}/krb5-1.9.1-canonicalize-fallback.patch
-
    # FS#25384
    sed -i "/KRB5ROOT=/s/\/local//" util/ac_check_krb5.m4
 
-   # KDC denial of service vulnerabilities
-   # http://web.mit.edu/kerberos/advisories/MITKRB5-SA-2011-006.txt
-   patch -Np2 -i ${srcdir}/krb5-1.9.1-2011-006.patch
-
    export CFLAGS+=" -fPIC -fno-strict-aliasing -fstack-protector-all"
    export CPPFLAGS+=" -I/usr/include/et"
    ./configure --prefix=/usr \
@@ -81,8 +72,9 @@
    install -pm 644 config-files/krb5.conf "${pkgdir}"/etc/krb5.conf
 
    install -dm 755 "${pkgdir}"/etc/rc.d
-   install -m 755 ../../krb5-kdc "${pkgdir}"/etc/rc.d
+   install -m 755 ../../krb5-kdc      "${pkgdir}"/etc/rc.d
    install -m 755 ../../krb5-kadmind  "${pkgdir}"/etc/rc.d
+   install -m 755 ../../krb5-kpropd   "${pkgdir}"/etc/rc.d
 
    install -dm 755 "${pkgdir}"/usr/share/aclocal
    install -m 644 util/ac_check_krb5.m4 "${pkgdir}"/usr/share/aclocal

Added: krb5-kpropd
===================================================================
--- krb5-kpropd	                        (rev 0)
+++ krb5-kpropd	2011-11-04 23:19:53 UTC (rev 142051)
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/kpropd`
+case "$1" in
+    start)
+        stat_busy "Starting Kerberos Database Propagation Daemon"
+        if [ -z "$PID" ]; then
+           /usr/sbin/kpropd -S
+        fi
+        if [ ! -z "$PID" -o $? -gt 0 ]; then
+            stat_fail
+        else
+            add_daemon kpropd
+            stat_done
+        fi
+        ;;
+    stop)
+        stat_busy "Stopping Kerberos Database Propagation Daemon"
+	    [ ! -z "$PID" ] && kill $PID &> /dev/null
+        if [ $? -gt 0 ]; then
+            stat_fail
+        else
+            rm_daemon kpropd
+            stat_done
+        fi
+        ;;
+    restart)
+        $0 stop
+	sleep 1
+        $0 start
+        ;;
+    *)
+        echo "usage: $0 {start|stop|restart}"
+	;;
+esac
+exit 0



More information about the arch-commits mailing list